Remove a custom environment variables on service

- « win32_remove_right_access_service

- win32_send_custom_control »

- PHP Manual
- win32service Functions
- Remove a custom environment variables on service

# win32_remove_service_env_var

(No version information available, might only be in Git)

win32_remove_service_env_var — Remove a custom environment variables on service

### Description

win32_remove_service_env_var(string `$servicename`, string `$varname`): void

Remove a custom environment variables `varname` on `servicename` service. This function work only for the local computer. Administrative privileges are required for this to succeed.

### Parameters

`servicename`

  The service name to remove environment variable.

`varname`

  The environment variable name.

### Return Values

No value is returned.

### Errors/Exceptions

A ValueError is thrown if the value of `service` parameter is empty.

A ValueError is thrown if the value of `varname` parameter is empty.

A Win32ServiceException is thrown on error.

### See Also

- win32_get_service_env_vars() - Read all custom environment variables on service
- win32_add_service_env_var() - Add a custom environment variables on service